# Use rpmbuild --without gcj to disable native bits
%define with_gcj %{!?_without_gcj:1}%{?_without_gcj:0}

Distribution:	CCux
Packager:	Christian Metzen <metzench@ccux-linux.de>

Name: 		flute
Version: 	1.3
Release: 	1
Summary: 	Java CSS parser using SAC
License: 	W3C
Group: 		System/Libraries
Source0: 	http://downloads.sourceforge.net/jfreereport/%{name}-1.3-jfree-20061107.tar.gz
URL: 		http://www.w3.org/Style/CSS/SAC/
BuildRequires: 	ant, java-devel, jpackage-utils, sac
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires: 	java, jpackage-utils sac
%if %{with_gcj}
BuildRequires: java-gcj-compat-devel >= 1.0.31
Requires(post): java-gcj-compat >= 1.0.31
Requires(postun): java-gcj-compat >= 1.0.31
%else
BuildArch: noarch
%endif

%description
A Cascading Style Sheets parser using the Simple API for CSS, for Java.

%package javadoc
Group: Development/Documentation
Summary: Javadoc for %{name}

%description javadoc
Javadoc for %{name}.

%prep
%setup -q -n flute-1.3-jfree-20061107
find . -name "*.jar" -exec rm -f {} \;
build-jar-repository -s -p lib sac

%build
cd ant
ant compile javadoc

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{_javadir}
cp -p flute-1.3-jfree-20061107.jar $RPM_BUILD_ROOT%{_javadir}/flute.jar

mkdir -p $RPM_BUILD_ROOT%{_javadocdir}/%{name}
cp -pr javadoc/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}
%if %{with_gcj}
%{_bindir}/aot-compile-rpm
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(0644,root,root,0755)
%doc COPYRIGHT.html
%{_javadir}/*.jar
%if %{with_gcj}
%attr(-,root,root) %{_libdir}/gcj/%{name}
%endif

%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/%{name}

%changelog
* Wed Oct 01 2008 Christian Metzen <metzench@ccux-linux.de> 1.3-1
- Initial release
